Package net.md_5.bungee.api.score

# Class Scoreboard

java.lang.Object
net.md_5.bungee.api.score.Scoreboard

public class Scoreboard extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Scoreboard()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addObjective(Objective objective)`
  `void`
  `addScore(Score score)`
  `void`
  `addTeam(Team team)`
  `protected boolean`
  `canEqual(Object other)`
  `void`
  `clear()`
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  Unique name for this scoreboard.
  `Objective`
  `getObjective(String name)`
  `Collection<Objective>`
  `getObjectives()`
  `Position`
  `getPosition()`
  Position of this scoreboard.
  `Score`
  `getScore(String name)`
  `Collection<Score>`
  `getScores()`
  `Team`
  `getTeam(String name)`
  `Collection<Team>`
  `getTeams()`
  `int`
  `hashCode()`
  `void`
  `removeObjective(String objectiveName)`
  `void`
  `removeScore(String scoreName)`
  `void`
  `removeTeam(String teamName)`
  `void`
  `setName(String name)`
  Unique name for this scoreboard.
  `void`
  `setPosition(Position position)`
  Position of this scoreboard.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Scoreboard

    public Scoreboard()

- ## Method Details

  - ### getObjectives

    public Collection<Objective> getObjectives()

  - ### getScores

    public Collection<Score> getScores()

  - ### getTeams

    public Collection<Team> getTeams()

  - ### addObjective

    public void addObjective(Objective objective)

  - ### addScore

    public void addScore(Score score)

  - ### getScore

    public Score getScore(String name)

  - ### addTeam

    public void addTeam(Team team)

  - ### getTeam

    public Team getTeam(String name)

  - ### getObjective

    public Objective getObjective(String name)

  - ### removeObjective

    public void removeObjective(String objectiveName)

  - ### removeScore

    public void removeScore(String scoreName)

  - ### removeTeam

    public void removeTeam(String teamName)

  - ### clear

    public void clear()

  - ### getName

    public String getName()
    Unique name for this scoreboard.

  - ### getPosition

    public Position getPosition()
    Position of this scoreboard.

  - ### setName

    public void setName(String name)
    Unique name for this scoreboard.

  - ### setPosition

    public void setPosition(Position position)
    Position of this scoreboard.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`